#include "mymoduletype.h"
#include "../../modulemanager/moduletype.h"
#include "../../modulemanager/modulemanager.h"

const char* MyModuleType::type="MyModuleType";

const char* MyModuleType::getType() const
{
	return type;
}

void MyModuleType::doSerialize(TiXmlElement& element) const
{
	element.SetAttribute("type",moduleType->getName().c_str());
}

void MyModuleType::doDeserialize(const TiXmlElement& element)
{
	const char* type=element.Attribute("type");
	Ptr<ModuleType> moduleType=ModuleManager::manager->getModuleType(type);

	this->moduleType=(ModuleType*)moduleType.asObject();
}

